/*-----------------------------------------------------------------------
|                            FILE DESCRIPTION                           |
-----------------------------------------------------------------------*/
/*----------------------------------------------------------------------
  - File name     : PerList.h
  - Author        : zeweni
  - Update date   : 2021.07.25         
  -	Copyright(c)  : 2020-2021 zeweni. All rights reserved.
-----------------------------------------------------------------------*/
/*------------------------------------------------------------------------
|                            COPYRIGHT NOTICE                            |
------------------------------------------------------------------------*/
/*
 * Copyright (C) 2021, zeweni (17870070675@163.com)

 * This file is part of 8051 ELL low-layer libraries.

 * 8051 ELL low-layer libraries is free software: you can redistribute 
 * it and/or modify it under the terms of the Apache-2.0 License.

 * 8051 ELL low-layer libraries is distributed in the hope that it will 
 * be useful,but WITHOUT ANY WARRANTY; without even the implied warranty 
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * Apache-2.0 License for more details.
 
 * You should have received a copy of the Apache-2.0 License.8051 ELL 
 * low-layer libraries. If not, see <http://www.apache.org/licenses/>.
**/
/*-----------------------------------------------------------------------
|                               INCLUDES                                |
-----------------------------------------------------------------------*/
#ifndef __PerList_H_
#define __PerList_H_

/*--------------------------------------------------------
| @Description: STC8x core                               |
--------------------------------------------------------*/
#include "ELL_CORE.h"

/*--------------------------------------------------------
| @Description: STC8x MCU Register                       |
--------------------------------------------------------*/

#ifndef PER_LIB_MCU_MUODEL
    #define PER_LIB_MCU_MUODEL STC8Ax
#endif

#if    (PER_LIB_MCU_MUODEL == STC8Ax)
    #include "STC8Ax_REG.h"  
#elif  (PER_LIB_MCU_MUODEL == STC8Cx)
    #include "STC8Cx_REG.h"
#elif  (PER_LIB_MCU_MUODEL == STC8Fx)
    #include "STC8Fx_REG.h"
#elif  (PER_LIB_MCU_MUODEL == STC8Gx)
    #include "STC8Gx_REG.h"
#elif  (PER_LIB_MCU_MUODEL == STC8Hx)
    #include "STC8Hx_REG.h"
#endif

/*--------------------------------------------------------
| @Description: STC8x MCU peripheral                     |
--------------------------------------------------------*/

#if  (PER_LIB_MCU_MUODEL == STC8Ax || PER_LIB_MCU_MUODEL == STC8Cx || \
      PER_LIB_MCU_MUODEL == STC8Fx || PER_LIB_MCU_MUODEL == STC8Gx || \
      PER_LIB_MCU_MUODEL == STC8Hx)

    #include "STC8x_SYSCLK.h"
    #include "STC8x_GPIO.h"
    #include "STC8x_WDT.h"
    #include "STC8x_POWER.h"
    #include "STC8x_TIMER.h"
    #include "STC8x_UART.h"
    #include "STC8x_RST.h"
    #include "STC8x_SPI.h"
    #include "STC8x_I2C.h"
    #include "STC8x_EEPROM.h"
    #include "STC8x_COMP.h"
    #include "STC8x_DELAY.h"
		
#endif

#if  (PER_LIB_MCU_MUODEL == STC8Ax || PER_LIB_MCU_MUODEL == STC8Gx)

    #include "STC8x_PCA.h"
    
#endif

#if  (PER_LIB_MCU_MUODEL == STC8Ax)

    #include "STC8x_PWM.h"
    
#endif

#if  (PER_LIB_MCU_MUODEL == STC8Gx)

    #include "STC8x_MPWM.h"
    
#endif

#if  (PER_LIB_MCU_MUODEL == STC8Ax || PER_LIB_MCU_MUODEL == STC8Gx || \
      PER_LIB_MCU_MUODEL == STC8Hx)

    #include "STC8x_ADC.h"
    
#endif

#if  (PER_LIB_MCU_MUODEL == STC8Cx || PER_LIB_MCU_MUODEL == STC8Hx)

    #include "STC8x_MDU16.h"
    #include "STC8x_HPWM.h"

#endif

#endif

/*-----------------------------------------------------------------------
|                   END OF FLIE.  (C) COPYRIGHT zeweni                  | 
-----------------------------------------------------------------------*/

